Subject: Re: bug#12044: 24.1; ls does not support --dired

From: Glenn Morris <[email-masked]>
Date: Mon, 30 Jul 2012 14:58:25 -0400

PS If I can summarize, dired is working exactly as it used to before,
but is giving an extra informative message that your "ls" does not
support "--dired", so it will perform suboptimally, as described in the
doc of dired-use-ls-dired. I cannot see why you think it is failing to
work.

Either customize dired-use-ls-dired to nil, to suppress the message and
go back to how it used to be, or it seems on your system you can set
insert-directory-program to "gls", which is GNU ls I assume.